org.jboss.resteasy.keystone.core

## Class TokenAuthFilter

- java.lang.Object
- - org.jboss.resteasy.keystone.core.AbstractTokenAuthFilter
  - - org.jboss.resteasy.keystone.core.TokenAuthFilter

- All Implemented Interfaces:
    ContainerRequestFilter

      @PreMatching
      @Provider
      public class TokenAuthFilter
      extends AbstractTokenAuthFilter

  Server filter that can verify a token id with skeleton key server, or verify signature of a signed token. If there is no X-Auth-Token header, then this filter just returns expecting the application to do role checking
  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected TokenVerifier` | `tokenVerifier`

    - ### Fields inherited from class org.jboss.resteasy.keystone.core.AbstractTokenAuthFilter

      `certificate, logger`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TokenAuthFilter(X509Certificate certificate, TokenVerifier tokenVerifier)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected Access` | `getTokenFromServer(String header)`

    - ### Methods inherited from class org.jboss.resteasy.keystone.core.AbstractTokenAuthFilter

      `filter, signed`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### tokenVerifier

          protected TokenVerifier tokenVerifier

  - ### Constructor Detail

    - #### TokenAuthFilter

          public TokenAuthFilter(X509Certificate certificate,
                         TokenVerifier tokenVerifier)

  - ### Method Detail

    - #### getTokenFromServer

          protected Access getTokenFromServer(String header)

      Specified by:
        `getTokenFromServer` in class `AbstractTokenAuthFilter`

Copyright © 2014. All Rights Reserved.